Subject: Re: iso-2022-jp

From: Mark Crispin <[email-masked]>
Date: Fri, 23 Aug 1996 09:27:58 -0700

Tony,

One of our user services people at UW is preparing a long document
describing how to do Japanese mail reading with Pine.  It's still in
preliminary state and has known errors, so I don't know if she wants to
let it out yet.  But I've bcc'd her on this message; if she wants to send
you a copy on a "use at your own risk" basis that'd be her decision... 

On 23 Aug 1996, Tony wrote:
> I am getting overloaded with e-mail from Japan because I subscribe to the 
> mail list of my favorite Japanese pop music star. Only problem is, all 
> incoming mail is being typed using iso-2022-jp!!!!!!
> 
> I was wondering if there was some way I could decipher or decode 
> iso-2022-jp code using PINE in order to render it into either its Kanji/kana 
> equivalent or into some for which is readable in English???? Or do I have 
> to go a different route?

ISO-2022-JP is simply mixed ASCII (English) and JIS (Japanese) text in 7
bits, using ESC codes to shift back and forth between them.  Your terminal
emulator may support this encoding as "JIS7". 

Pine does not do too well with ESC codes.  Each ESC code occupies three
bytes, which Pine thinks occupies screen space even when it doesn't.  For
this reason, I usually convert the data to 8-bit code (either EUC or SJIS)
using the display-filter functionality along with the "nkf" program (if
you do serious work with Japanese on Unix, you probably have a copy of
nkf).

You may need to do some experimentation to get it working, and you should
also be sure that you're using the latest version of Pine.  Earlier
versions of Pine have known problems working with Japanese text.

For more information about Japanese encodings and the nkf program, I refer
to you to Ken Lunde's book "Understand Japanese Information Processing".

-- Mark --	Read http://www.imap.org for the "best kept secret in email"

DoD #0105, R90/6 pilot, FAX: (206) 685-4045  ICBM: N 47 39'35" W 122 18'39"
Science does not emerge from voting, party politics, or public debate.